- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
ClarisWksTextInternal::TextZoneInfo Struct Reference

internal class used to store a text zone More...

## Public Member Functions
| TextZoneInfo ()
| constructor More...

## Public Attributes
long | m_pos
int | m_N
| the number of character More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, TextZoneInfo const &info)
| operator<< More...

## Detailed Description

internal class used to store a text zone

## Constructor & Destructor Documentation

ClarisWksTextInternal::TextZoneInfo::TextZoneInfo | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | TextZoneInfo const & | info
| ) |  |
| friend

operator<<

## Member Data Documentation

std::string ClarisWksTextInternal::TextZoneInfo::m_extra

extra data

int ClarisWksTextInternal::TextZoneInfo::m_N

the number of character

Referenced by ClarisWksText::readTextZoneSize().

long ClarisWksTextInternal::TextZoneInfo::m_pos

Referenced by ClarisWksText::readTextZoneSize().

The documentation for this struct was generated from the following file:

- ClarisWksText.cxx